OpenSubdiv: Tessellation::Options Class Reference

| OpenSubdiv

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Tessellation::Options Class Reference

Options configure a Tessellation to specify the nature of both its results and the structure of the coordinate and facet index arrays that its methods will populate. More...

`#include <tessellation.h>`

## Public Member Functions
| Options ()
Options & | PreserveQuads (bool on)
| Select preservation of quads for quad-based subdivision (requires 4-sided facets, default is off) More...
bool | PreserveQuads () const
| Return if preservation of quads is set. More...
Options & | SetFacetSize (int numIndices)
| Assign the number of indices per facet (must be 3 or 4, default is 3) More...
int | GetFacetSize () const
Options & | SetFacetStride (int stride)
| Assign the stride between facets (default is facet size) More...
int | GetFacetStride () const
| Return the stride between facets. More...
Options & | SetCoordStride (int stride)
| Assign the stride between (u,v) pairs (default is 2) More...
int | GetCoordStride () const
| Return the stride between (u,v) pairs. More...

## Detailed Description

Options configure a Tessellation to specify the nature of both its results and the structure of the coordinate and facet index arrays that its methods will populate.

The sizes and strides of the target arrays should be specified explicitly as they are not inferred by the presence of other options.

Modifiers of Options return a reference to itself to facilitate inline usage.

Definition at line 65 of file tessellation.h.

## Constructor & Destructor Documentation

## ◆ Options()

Options | ( |  | ) |
| inline

Definition at line 67 of file tessellation.h.

## Member Function Documentation

## ◆ GetCoordStride()

int GetCoordStride | ( |  | ) | const
| inline

Return the stride between (u,v) pairs.

Definition at line 90 of file tessellation.h.

## ◆ GetFacetSize()

int GetFacetSize | ( |  | ) | const
| inline

Definition at line 80 of file tessellation.h.

## ◆ GetFacetStride()

int GetFacetStride | ( |  | ) | const
| inline

Return the stride between facets.

Definition at line 85 of file tessellation.h.

## ◆ PreserveQuads() [1/2]

bool PreserveQuads | ( |  | ) | const
| inline

Return if preservation of quads is set.

Definition at line 74 of file tessellation.h.

## ◆ PreserveQuads() [2/2]

Tessellation::Options & PreserveQuads | ( | bool | on | ) |
| inline

Select preservation of quads for quad-based subdivision (requires 4-sided facets, default is off)

Definition at line 343 of file tessellation.h.

## ◆ SetCoordStride()

Tessellation::Options & SetCoordStride | ( | int | stride | ) |
| inline

Assign the stride between (u,v) pairs (default is 2)

Definition at line 358 of file tessellation.h.

## ◆ SetFacetSize()

Tessellation::Options & SetFacetSize | ( | int | numIndices | ) |
| inline

Assign the number of indices per facet (must be 3 or 4, default is 3)

Definition at line 348 of file tessellation.h.

## ◆ SetFacetStride()

Tessellation::Options & SetFacetStride | ( | int | stride | ) |
| inline

Assign the stride between facets (default is facet size)

Definition at line 353 of file tessellation.h.

The documentation for this class was generated from the following file:

- opensubdiv/bfr/tessellation.h